Private Link Services - List Auto Approved Private Link Services
Returns all of the private link service ids that can be linked to a Private Endpoint with auto approved in this subscription in this region.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/autoApprovedPrivateLinkServices?api-version=2021-08-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
|
The location of the domain name. |
|
subscription
|
path | True |
|
The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
|
Client API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request successful. Returns all of the private link service ids that can be linked to a Private Endpoint with auto approved in this subscription in this region. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get list of private link service id that can be linked to a private end point with auto approved
Sample Request
GET https://management.azure.com/subscriptions/subId/providers/Microsoft.Network/locations/regionName/autoApprovedPrivateLinkServices?api-version=2021-08-01
Sample Response
{
"value": [
{
"privateLinkService": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateLinkServices/testPls1"
},
{
"privateLinkService": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateLinkServices/testPls2"
},
{
"privateLinkService": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateLinkServices/testPls3"
}
]
}
Definitions
|
Auto |
The information of an AutoApprovedPrivateLinkService. |
|
Auto |
An array of private link service id that can be linked to a private end point with auto approved. |
|
Cloud |
An error response from the service. |
|
Cloud |
An error response from the service. |
AutoApprovedPrivateLinkService
The information of an AutoApprovedPrivateLinkService.
| Name | Type | Description |
|---|---|---|
| privateLinkService |
|
The id of the private link service resource. |
AutoApprovedPrivateLinkServicesResult
An array of private link service id that can be linked to a private end point with auto approved.
| Name | Type | Description |
|---|---|---|
| nextLink |
|
The URL to get the next set of results. |
| value |
An array of auto approved private link service. |
CloudError
An error response from the service.
| Name | Type | Description |
|---|---|---|
| error |
Cloud error body. |
CloudErrorBody
An error response from the service.
| Name | Type | Description |
|---|---|---|
| code |
|
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| details |
A list of additional details about the error. |
|
| message |
|
A message describing the error, intended to be suitable for display in a user interface. |
| target |
|
The target of the particular error. For example, the name of the property in error. |